Name:		hatari
Version:	2.4.1
Release:	%mkrel 1
AutoReqProv: yes
License:	GPL
Packager:       Agent Smith  <ruidobranco@yahoo.com.br>
Group:		Emulators
Url:		http://hatari.tuxfamily.org
Summary:    an Atari ST emulator suitable for playing games
Source:     %{name}-%{version}.tar.xz
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
Prefix:     /usr

BuildRequires: cmake coreutils cpio mcpp diffutils file filesystem findutils tar
BuildRequires: grep gzip libgcc make man mktemp patch readline sed util-linux
BuildRequires: glibc-devel zlib-devel %{_lib}sdl2.0-devel %{_lib}png-devel readline-devel
BuildRequires: %{_lib}portaudio-devel %{_lib}portmidi-devel binutils gcc rpm

# Required by zip2st and atari-hd-image
Requires: unzip
Requires: mtools
Requires: dosfstools

%description
Hatari is an emulator for the Atari ST, STE, TT and Falcon computers.
The Atari ST was a 16/32 bit computer system which was first released by Atari
in 1985. Using the Motorola 68000 CPU, it was a very popular computer having
quite a lot of CPU power at that time.
Unlike many other Atari ST emulators which try to give you a good environment
for running GEM applications, Hatari tries to emulate the hardware of a ST as
close as possible so that it is able to run most of the old ST games and demos.

%prep
%setup

%build
CFLAGS="-O3 -fomit-frame-pointer" \
./configure --prefix=/usr

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/hicolor/*/mimetypes/*
%{_datadir}/mime/packages/hatari.xml
%doc %_mandir/man1/*.1*
%dir %_docdir/%{name}
%_docdir/%{name}/*.txt
%_docdir/%{name}/*.html
%_docdir/%{name}/*.css
%_docdir/%{name}/*.js
%dir %_docdir/%{name}/images
%_docdir/%{name}/images/*
%_docdir/%{name}/hconsole/release-notes.txt

%changelog -n hatari

* Thu Sep 01 2022 Agent Smith  <ruidobranco@yahoo.com.br> hatari-2.4.1-1pclos2022
- Updated the package hatari, with latest sources.

* Thu Jul 21 2022 Agent Smith  <ruidobranco@yahoo.com.br> hatari-2.4.0-1pclos2022
- Updated the package hatari, with latest sources.

* Mon Dec 28 2020 Agent Smith  <ruidobranco@yahoo.com.br> hatari-2.3.1-1pclos2021
- Updated the package hatari, with latest sources.

* Mon Dec 14 2020 Agent Smith  <ruidobranco@yahoo.com.br> hatari-2.3.0-1pclos2020
- Updated the package hatari, with latest sources.

* Mon Dec 30 2019 tex - 2.2.1-2pclos2020
- rebuild against updates

